<script>
    export let src
    export let name
    export let small = false
    export let medium = false
</script>

<img
    src={src ? src : '/pixel.png'}
    alt="{name}'s avatar"
    class:small
    class:medium
/>

<style lang="postcss">
    img {
        @apply h-12 w-12 relative rounded-full shadow-inner object-cover float-left z-10;
    }

    .small {
        @apply h-6 w-6;
    }

    .medium {
        @apply h-10 w-10;
    }
</style>
